# Creating a new Backup Approver Association

This endpoint returns structured Backup Approver Association objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the backup_approver_associations top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /backup_approver_associations
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- approver (User) - The user who would normally approve time.
- backup_approver (User) - The user who will be approving time in place of the normal approver.

## Request fields (application/json):

  - `backup_approver_association` (object)

  - `backup_approver_association.backup_approver_id` (integer, required)
    The ID of the user designated as backup approver.

  - `backup_approver_association.approver_id` (integer, required)
    The ID of the user designated as the approver.

  - `backup_approver_association.start_date` (string, required)
    The start date on which the approver and backup approver are current. The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `backup_approver_association.end_date` (string, required)
    The end date on which the approver and backup approver are current. The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `backup_approver_associations` (object)

  - `users` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


